docs.fusial

List a contract's obligations

GET
/contracts/{id}/obligations
x-api-key<token>

Your workspace API key. Create and manage keys in your Fusial workspace settings. Keys carry scopes of the form resource:action.

In: header

Path Parameters

id*string

The contract id.

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/contracts/string/obligations"
{
  "data": [
    {
      "id": "string",
      "contractId": "string",
      "kind": "RENEWAL_NOTICE",
      "title": "string",
      "description": "string",
      "sourceText": "string",
      "source": "AI",
      "status": "PENDING_ANCHOR",
      "anchorType": "EFFECTIVE_DATE",
      "offsetValue": 0,
      "offsetUnit": "DAY",
      "offsetDirection": "BEFORE",
      "fixedDate": "2019-08-24T14:15:22Z",
      "recurrenceMonths": 0,
      "resolvedDate": "2019-08-24T14:15:22Z",
      "resolutionBasis": "string",
      "createdAt": "2019-08-24T14:15:22Z",
      "updatedAt": "2019-08-24T14:15:22Z"
    }
  ]
}
{
  "error": {
    "code": "not_found",
    "message": "Resource not found."
  }
}
{
  "error": {
    "code": "not_found",
    "message": "Resource not found."
  }
}
{
  "error": {
    "code": "not_found",
    "message": "Resource not found."
  }
}